
Cook: prosody 0.9.4
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): lua-5.3.4
Installing (pkg/local): liblua-5.3.4
Installing (pkg/local): lua-dev-5.3.4
Installing (pkg/local): libidn-1.33
Installing (pkg/local): libidn-dev-1.33
Installing (pkg/local): openssl-dev-1.1.0g
Extracting source archive "prosody-0.9.4.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

Lua interpreter found: /usr/lua...
Checking Lua includes... lua.h found in /usr/include/lua.h
Writing configuration...

Installation prefix: /usr
Prosody configuration directory: /etc/prosody
Using Lua from: /usr

Done. You can now run 'make' to build.

sed "1s| lua$| lua|; \
	s|^CFG_SOURCEDIR=.*;$|CFG_SOURCEDIR='/usr/lib/prosody';|; \
	s|^CFG_CONFIGDIR=.*;$|CFG_CONFIGDIR='/etc/prosody';|; \
	s|^CFG_DATADIR=.*;$|CFG_DATADIR='/var/lib/prosody';|; \
	s|^CFG_PLUGINDIR=.*;$|CFG_PLUGINDIR='/usr/lib/prosody/modules/';|;" < prosody > prosody.install
sed "1s| lua$| lua|; \
	s|^CFG_SOURCEDIR=.*;$|CFG_SOURCEDIR='/usr/lib/prosody';|; \
	s|^CFG_CONFIGDIR=.*;$|CFG_CONFIGDIR='/etc/prosody';|; \
	s|^CFG_DATADIR=.*;$|CFG_DATADIR='/var/lib/prosody';|; \
	s|^CFG_PLUGINDIR=.*;$|CFG_PLUGINDIR='/usr/lib/prosody/modules/';|;" < prosodyctl > prosodyctl.install
sed 's|certs/|/etc/prosody/certs/|' prosody.cfg.lua.dist > prosody.cfg.lua.install
test -e .hg/dirstate && \
	hexdump -n6 -e'6/1 "%02x"' .hg/dirstate > prosody.version || true
test -f prosody.release && \
	cp prosody.release prosody.version || true
make -C util-src install
make[1]: Entering directory '/home/slitaz/wok/prosody/source/prosody-0.9.4/util-src'
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include -c -o encodings.o encodings.c
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include -c -o hashes.o hashes.c
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include -c -o net.o net.c
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include -c -o pposix.o pposix.c
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include -c -o signal.o signal.c
encodings.c: In function 'luaopen_util_encodings':
encodings.c:374:2: warning: implicit declaration of function 'luaL_register'; did you mean 'lua_register'? [-Wimplicit-function-declaration]
  luaL_register(L, "encodings", Reg);
  ^~~~~~~~~~~~~
  lua_register
signal.c: In function 'luaopen_util_signal':
signal.c:387:3: warning: implicit declaration of function 'luaL_register'; did you mean 'lua_register'? [-Wimplicit-function-declaration]
   luaL_register(L, "signal", lsignal_lib);
   ^~~~~~~~~~~~~
   lua_register
hashes.c: In function 'luaopen_util_hashes':
hashes.c:206:2: warning: implicit declaration of function 'luaL_register'; did you mean 'lua_register'? [-Wimplicit-function-declaration]
  luaL_register(L, "hashes", Reg);
  ^~~~~~~~~~~~~
  lua_register
net.c: In function 'luaopen_util_net':
net.c:115:2: warning: implicit declaration of function 'luaL_register'; did you mean 'lua_register'? [-Wimplicit-function-declaration]
  luaL_register(L, "net",  exports);
  ^~~~~~~~~~~~~
  lua_register
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o net.so net.o -shared
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o signal.so signal.o -shared
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o encodings.so encodings.o -shared -lidn
pposix.c: In function 'luaopen_util_pposix':
pposix.c:755:2: warning: implicit declaration of function 'luaL_register'; did you mean 'lua_register'? [-Wimplicit-function-declaration]
  luaL_register(L, "pposix",  exports);
  ^~~~~~~~~~~~~
  lua_register
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o hashes.so hashes.o -shared -lcrypto
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o pposix.so pposix.o -shared
install *.so ../util/
rm net.o pposix.o signal.o
make[1]: Leaving directory '/home/slitaz/wok/prosody/source/prosody-0.9.4/util-src'
make -C certs localhost.crt example.com.crt || true
make[1]: Entering directory '/home/slitaz/wok/prosody/source/prosody-0.9.4/certs'
openssl genrsa 2048 > localhost.key
sed 's,example\.com,example.com,g' openssl.cnf > example.com.cnf
openssl genrsa 2048 > example.com.key
Generating RSA private key, 2048 bit long modulus
Generating RSA private key, 2048 bit long modulus
........................+.+.+
......+.++
.e is 65537 (0x010001)
openssl req -new -x509 -nodes -key localhost.key -days 365 \
	-sha1 -out localhost.crt -utf8 -config localhost.cnf
+++
..........................+++
e is 65537 (0x010001)
openssl req -new -x509 -nodes -key example.com.key -days 365 \
	-sha1 -out example.com.crt -utf8 -config example.com.cnf
make[1]: Leaving directory '/home/slitaz/wok/prosody/source/prosody-0.9.4/certs'
install -d /home/slitaz/wok/prosody/install/usr/bin /home/slitaz/wok/prosody/install/etc/prosody /home/slitaz/wok/prosody/install/usr/lib/prosody/modules /home/slitaz/wok/prosody/install/usr/lib/prosody
install -m750 -d /home/slitaz/wok/prosody/install/var/lib/prosody
install -d /home/slitaz/wok/prosody/install/usr/share/man/man1
install -d /home/slitaz/wok/prosody/install/etc/prosody/certs
install -d /home/slitaz/wok/prosody/install/usr/lib/prosody/core /home/slitaz/wok/prosody/install/usr/lib/prosody/net /home/slitaz/wok/prosody/install/usr/lib/prosody/util
install -m755 ./prosody.install /home/slitaz/wok/prosody/install/usr/bin/prosody
install -m755 ./prosodyctl.install /home/slitaz/wok/prosody/install/usr/bin/prosodyctl
install -m644 core/* /home/slitaz/wok/prosody/install/usr/lib/prosody/core
install -m644 net/*.lua /home/slitaz/wok/prosody/install/usr/lib/prosody/net
install -d /home/slitaz/wok/prosody/install/usr/lib/prosody/net/http
install -m644 net/http/*.lua /home/slitaz/wok/prosody/install/usr/lib/prosody/net/http
install -m644 util/*.lua /home/slitaz/wok/prosody/install/usr/lib/prosody/util
install -m644 util/*.so /home/slitaz/wok/prosody/install/usr/lib/prosody/util
install -d /home/slitaz/wok/prosody/install/usr/lib/prosody/util/sasl
install -m644 util/sasl/* /home/slitaz/wok/prosody/install/usr/lib/prosody/util/sasl
umask 0022 && cp -r plugins/* /home/slitaz/wok/prosody/install/usr/lib/prosody/modules
install -m644 certs/* /home/slitaz/wok/prosody/install/etc/prosody/certs
install -m644 man/prosodyctl.man /home/slitaz/wok/prosody/install/usr/share/man/man1/prosodyctl.1
test -e /home/slitaz/wok/prosody/install/etc/prosody/prosody.cfg.lua || install -m644 prosody.cfg.lua.install /home/slitaz/wok/prosody/install/etc/prosody/prosody.cfg.lua
test -e prosody.version && install -m644 prosody.version /home/slitaz/wok/prosody/install/usr/lib/prosody/prosody.version || true
make install -C util-src
make[1]: Entering directory '/home/slitaz/wok/prosody/source/prosody-0.9.4/util-src'
install *.so ../util/
make[1]: Leaving directory '/home/slitaz/wok/prosody/source/prosody-0.9.4/util-src'
================================================================================

Installing (pkg/local): advancecomp-static-2.1
Compressing man pages...                                               Done
  Time: 1.75s. Size: 2960 B -> 1183 B. Save: 2 KB. Cache hit: 1/1.
================================================================================


Build dependencies to remove: 7
Removing: advancecomp-static libidn libidn-dev liblua lua lua-dev openssl-dev


Pack: prosody 0.9.4
================================================================================
Executing: genpkg_rules
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 7.59s. Size: 101660 B -> 52420 B. Save: 48 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "prosody-0.9.4.tazpkg"                            Done
The release checksum has changed.
================================================================================
Package "prosody-0.9.4.tazpkg" created


Summary for: prosody 0.9.4
================================================================================
Src file    : prosody-0.9.4.tar.gz
Src size    : 260.0K
Source dir  : 1.8M
Produced    : 1.3M
Cook time   : 10s
Cook date   : 2018-03-07 03:55
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :    1.3M :     192.1K :   141 : prosody-0.9.4.tazpkg
================================================================================
